<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Model;
use Illuminate\Database\Eloquent\Relations\HasMany;

class City extends Model
{
    protected $fillable = ['name', 'country'];

    public function businesses(): HasMany
    {
        return $this->hasMany(Business::class);
    }

    public function getLabelAttribute(): string
    {
        return "{$this->name}, {$this->country}";
    }
}
